List Initiatives
curl --request GET \
--url https://api.getcortexapp.com/api/v1/initiatives \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcortexapp.com/api/v1/initiatives"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcortexapp.com/api/v1/initiatives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"initiatives": [
{
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"emphasizedLevels": [
{
"color": "<string>",
"name": "<string>",
"rank": 123
}
],
"emphasizedRules": [
{
"expression": "<string>",
"description": "<string>",
"title": "<string>"
}
],
"isDraft": true,
"name": "<string>",
"scorecardName": "<string>",
"scorecardTag": "<string>",
"targetDate": "2023-12-25",
"cid": "in2da8159dbeefb974",
"description": "<string>",
"filter": {
"groups": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
},
"query": "<string>",
"types": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
}
},
"notificationSchedule": {
"isDisabled": true,
"timeInterval": 123,
"timeUnit": "<string>",
"replyToEmails": [
"<string>"
]
}
}
],
"page": 123,
"total": 123,
"totalPages": 123
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}List Initiatives
Retrieves a list of Initiatives.
API key must have the View Initiatives permission.
GET
/
api
/
v1
/
initiatives
List Initiatives
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Query Parameters
Whether or not to include draft Initiatives in the response
Whether or not to include expired Initiatives in the response
Number of results to return per page, between 1 and 1000. Default 250.
Page number to return, 0-indexed. Default 0.
Last modified on September 24, 2026